/**
 * @brief GPIO-输出模式
 * @details
 * 初始化P0.0为输出模式，分别输出0和1，读取P0.0上的电压
 */

#include "lks32mc09x_gpio.h"
#include "lks32mc09x_sys.h"
volatile int outstate = 0;
/**
 * @brief 主函数
 */
int main(void)
{
    GPIO_Config(GPIO0, 0, GPIO_Mode_OUT, GPIO_AF_GPIO);
    while (1)
    {
        if (outstate)
        {
            GPIO_WriteBit(GPIO0, GPIO_Pin_0, GPIO_Bit_SET);
        }
        else
        {
            GPIO_WriteBit(GPIO0, GPIO_Pin_0, GPIO_Bit_RESET);
        }
    }
}

